mixin formRange()
	.form-input.form-input_range
		input(type="rangeslider", name="price", data-type="double", data-min="0", data-max="150000", data-from="10000", data-to="100000", data-step="10", data-input-values-separator="-").form-range

mixin formInput(name, placeholder, value, type = 'text')
	.form-input.form-input_text
		input(value=value, name=name, type=type, placeholder=placeholder)

mixin formTextarea(name, placeholder)
	.form-input.form-input_textarea
		textarea(name=name, placeholder=placeholder)
			block

mixin formCheckbox(name, value)
	.form-input.form-input_checkbox
		label
			input(type="checkbox", name=name, value=value)
			span
				block

mixin formRadio(name, value)
	.form-input.form-input_radio
		label
			input(type="radio", name=name, value=value)
			span
				block

mixin formButton(type, fill)
	.form-input.form-input_button
		.btn(class= fill ? 'fill' : '', data-form-action=type)
			block
